Subject: Re: New version of Code of Conduct

From: Jeff Williams <[email-masked]>
Date: Wed, 28 Feb 2001 10:00:52 -0800

Frank and all,

  It seems that you are one of several that have thus far expressed
some dismay and concern about this "Code of Conduct" document
and/or idea.  I am one of those.  I agree with all of your comments
here.  The are well stated and I believe accurately express reasonable
concerns.  As an old saying goes; "The road to hell is paved with
good intentions".  I believe that this saying embodies part of your
concerns as you stated them below....

Kastenholz, Frank wrote:

> I dislike this document. I believe that it, as well
> as the very notion of written form of "How IETFers
> Ought to Behave" should be discarded.
>
> First, I have a global comment. The general tone
> of the document is that it is a set of rules which
> everyone must follow. Yet as a body of rules, it is
> vague. What it "respect"?  I know what I mean by
> respect, but I do not know what you mean by respect.
> What if I act towards you in a way that I deem
> respectful, yet you do not?
>
> For example, in some countries, it is a sign of respect
> to take a business card from someone and study it, then
> place it carefully into a protected and safe spot;
> writing a note on it is almost a mortal insult. In the US,
> we take them, use them as book marks, scribble on them,
> fold them up, put them in our wallet and sit on them where
> they get squished, etc, etc. Does that mean that all
> Americans are to be censured and so on?
>
> By putting in such vague, weasly, terms, it opens up a
> Pandora's box of ill-defined rules, thereby turning the
> working group chairs, IESG, IAB, and ISOC BOT into nothing
> more than an institutionalized "Miss Manners".
>
> Yes, there will be comments about how this document
> is not intended to be used in the manner in which I
> am afraid it will be used. But our good intentions can
> not force it to be so.
>
> Also, the notion of a "code of conduct" (or whatever other
> title you wish to use) institutionalizes the triumph of
> style and form over substance and function. One can be a
> moron, an idiot, a trouble-maker, obstructionist, etc,
> but as long as one is polite about it, it's ok.
>
> The document says
>         "All IETF participants agree to abide by this Code..."
> Will there be loyalty oaths? Tests at the door? Signed pledges?
>
> The document also says:
>         "Individuals who attend Working Group meetings are prepared to
>          contribute to the ongoing work of the group."
> Does this mean that people who go to a working group and just sit
> in the back and listen, perhaps taking notes, are in violation of
> the Code? Does that mean that the tourists are to be excluded? Does
> that mean that folks who are trying to learn about some things before
> they become active participants are to be barred? -- "Sorry, you can't
> sit in the back and listen -- you have to be a contributor right
> from the start"
>
> Frank Kastenholz

Regards,

--
Jeffrey A. Williams
Spokesman for INEGroup - (Over 118k members strong!)
CEO/DIR. Internet Network Eng/SR. Java/CORBA Development Eng.
Information Network Eng. Group. INEG. INC.
E-Mail [email-masked]
Contact Number:  972-447-1800 x1894 or 214-244-4827
Address: 5 East Kirkwood Blvd. Grapevine Texas 75208